View Issue Details

This bug affects 1 person(s).
 252
IDProjectCategoryView StatusLast Update
17369Bug reportsSecuritypublic2021-07-12 11:53
ReporterDenisChenu Assigned Toollehar  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.20 
Summary17369: Failed Login Attempt locks out all users when behind nginx proxy - doesn't use sIPAddress
DescriptionBrings back an old problem

https://github.com/LimeSurvey/LimeSurvey/commit/ecddb3cb255a8b2774d301271631ae60a7e4d827

https://bugs.limesurvey.org/view.php?id=8813
TagsNo tags attached.
Bug heat252
Complete LimeSurvey version number (& build)3.22.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)
PHP Versionnot relevant

Relationships

related to 17368 closedollehar Failed Login Attempt locks out all users when behind nginx proxy - doesn't use sIPAddress 

Activities

c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65278

Release done.

Issue History

Date Modified Username Field Change
2021-06-15 09:46 DenisChenu New Issue
2021-06-15 09:46 DenisChenu Issue generated from: 17368
2021-06-15 09:47 DenisChenu Relationship added related to 17368
2021-06-15 13:37 ollehar Assigned To => ollehar
2021-06-15 13:37 ollehar Status new => review
2021-06-21 13:49 ollehar Status review => resolved
2021-06-21 13:49 ollehar Resolution open => fixed
2021-07-12 11:53 c_schmitz Note Added: 65278
2021-07-12 11:53 c_schmitz Status resolved => closed
2021-07-12 12:36 guest Bug heat 250 => 252